M1(Apple Silicon) Macのgitコマンドで「xcrun: error: unable to load libxcrun (dlopen …」

今回はM1(Apple Silicon) Macのgitコマンドで「xcrun: error: unable to load libxcrun (dlopen(/Library/Developer/CommandLineTools/usr/lib/libxcrun.dylib, 0x0005): could not use ‘/Library/Developer/CommandLineTools/usr/lib/libxcrun.dylib’ because it is not a compatible arch).」
というエラーが起きた時の対象法についてご紹介いたします。



M1(Apple Silicon) Macのgitコマンドで「xcrun: error: unable to load libxcrun (dlopen …」

結論から言うと、XcodeをAppleストアからインストールすれば直ります。

私はXcodeをインストール中にgitのコマンドを使おうとすると表題のエラーが出て使用できませんでした。

Xcodeのインストールが終わり、gitコマンドを使うと正常にgitコマンドが使用できました。

終わりに

今回はM1 Macでgitコマンドを使おうとしたときに表題のエラーが出たときの対処法についてご紹介いたしました。

最後までお読みいただきありがとうございます。
ブログやTwitterでのシェアOKです。
コメントもお待ちしております。
誤植や勘違いなどございましたらコメント欄にて教えていただけると幸いです。






apple-m1

Posted by ちこ